=== debian/changelog ===
obs-scene-tree-view (0.1.5-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:57:51 -0300

obs-scene-tree-view (0.1.5-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 19:15:40 -0300

obs-scene-tree-view (0.1.5-1) experimental; urgency=medium

  * Initial release. (Closes: #1031689)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Feb 2023 11:38:55 -0300
