## obs-scene-tree-view 0.1.7

=== debian/changelog ===
obs-scene-tree-view (0.1.7-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 21 Jan 2026 22:41:21 -0300

obs-scene-tree-view (0.1.7-1) unstable; urgency=medium

  * New upstream version 0.1.7.
  * debian/patches/030_ignore-VerticalCanvas.patch: removed because the
    upstream applied this patch.
  * debian/rules:
      - Added a target to make blhc to ignore a false positive about
        CMakeCXXCompilerABI.cpp.
      - Created the target override_dh_auto_configure to install files in
        right place.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Sep 2023 16:28:08 -0300
