=== debian/control ===
Source: obs-scene-tree-view
Section: video
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
Standards-Version: 4.7.3
Homepage: https://obsproject.com/forum/resources/scene-tree-folder-plugin-for-obs-studio.1500
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-tree-view
Vcs-Git: https://salsa.debian.org/debian/obs-scene-tree-view.git

Package: obs-scene-tree-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio that adds a scene tree folder dock
 This plugin allows OBS to group and organize scenes into a folder structure.
 It is possible to switch the standard scene dock provided by OBS to this
 special plugin.
 .
 It is possible to create several folders to group scenes on them.
