=== debian/watch ===
Version: 5

Template: Github
Owner: DigitOtter
Project: obs_scene_tree_view
