## obs-scene-tree-view 0.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,17 +11,23 @@
 set(LIB_CONFIG_NAME "${LIBRARY_NAME}Config")
 set(LIB_VERSION_NAME "${LIB_CONFIG_NAME}Version")
 
-cmake_minimum_required(VERSION 3.20)
+cmake_minimum_required(VERSION 3.25)
 project("${PROJECT_NAME}" VERSION 0.1.5)
 
 if(NOT DEFINED BUILD_IN_OBS)
 		set(BUILD_IN_OBS OFF)
 endif()
 
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)
+if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/cmake/obs-dependencies.cmake")
+    include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/obs-dependencies.cmake")
+endif()
+
 find_package(Qt6 REQUIRED COMPONENTS Widgets)
 
 if(NOT ${BUILD_IN_OBS})
-		set(CMAKE_CXX_STANDARD 20)
+		set(CMAKE_CXX_STANDARD 17)
+		set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 		find_package(libobs REQUIRED)
 		find_package(obs-frontend-api REQUIRED)
@@ -42,9 +48,10 @@
 		endif()
 endif()
 
-if(NOT TARGET OBS::obs-frontend-api)
-	add_library(OBS::obs-frontend-api ALIAS obs-frontend-api)
-endif()
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)
+
+
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)
 
 set(LIB_SRC_FILES
 		obs_scene_tree_view/obs_scene_tree_view.cpp
@@ -70,6 +77,7 @@
 add_library(${LIBRARY_NAME} SHARED ${LIB_SRC_FILES} ${VT_UI_HEADERS})
 add_library("${NAMESPACE_NAME}::${LIBRARY_NAME}" ALIAS ${LIBRARY_NAME})
 target_compile_options(${LIBRARY_NAME} PUBLIC $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:GNU>>:-Wall -Wextra>)
+target_compile_options(${LIBRARY_NAME} PRIVATE $<$<CXX_COMPILER_ID:MSVC>:/W4>)
 
 set_target_properties(${LIBRARY_NAME} PROPERTIES PREFIX "")
 
@@ -105,3 +113,5 @@
 		install(DIRECTORY "data/locale"
 				DESTINATION "${OBS_PLUGIN_DATA_DIR}/${PROJECT_NAME}")
 endif()
+
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)
