=== debian/changelog ===
obs-scene-tree-view (0.1.9-0ubuntu1) resolute; urgency=medium

  * New upstream fork/release 0.1.9
    - Project went dead at 0.1.7, forked.
  * d/copyright: update for new source and dates
  * d/control: Only build for source supported by obs-studio

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 16:32:37 -0800

obs-scene-tree-view (0.1.7-1build3) resolute; urgency=medium

  * No-change rebuild against obs-studio 32.0.3

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 16:20:05 -0800

obs-scene-tree-view (0.1.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:04:29 +1100

obs-scene-tree-view (0.1.7-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:06:19 +0000
