=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: obs-scene-tree-view
 Section: video
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
-Standards-Version: 4.7.3
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qt6-base-dev
+Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/scene-tree-folder-plugin-for-obs-studio.1500
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-tree-view
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-tree-view.git
 
 Package: obs-scene-tree-view
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
