=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt5
+export QT_SELECT = qt6
 
 # Exclude "obs-" from NAME and set a DEST
 export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
@@ -23,6 +23,13 @@
 	    fi; \
 	fi
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DLIBOBS_PLUGIN_DESTINATION=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
+                             -DLIBOBS_PLUGIN_DATA_DESTINATION=share/obs/obs-plugins
+
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI.cpp.*"
+
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
 	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so
